For the complete documentation index, see llms.txt. This page is also available as Markdown.

WireInCmtCode

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getWireInCmtCode

post

Retrieve WireInCmtCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireInCmtCodeSelectionintegerRequired
Responses
200

Successful operation.

application/json
post/getWireInCmtCode
POST /nexum/627/2022.01/parameter/getWireInCmtCode HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 162

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireInCmtCodeSelection": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "WireInCmtCode": {
    "CommentCode": 0,
    "MatchBusFunctionCode": null,
    "MatchNotifyMethod": null,
    "MatchTypeCode": null,
    "Selection": 0
  },
  "MessageId": "getWireInCmtCode"
}

getWireInCmtCodeSelectFields

post

Retrieve WireInCmtCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireInCmtCodeSelectionintegerOptional
Responses
200

Successful operation.

application/json
post/getWireInCmtCodeSelectFields
POST /nexum/627/2022.01/parameter/getWireInCmtCodeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 267

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "WireInCmtCodeSelection": 0,
  "SelectableFields": {
    "WireInCmtCodeFields": {
      "Selection": true,
      "CommentCode": true,
      "MatchTypeCode": true
    }
  }
}
200

Successful operation.

{
  "WireInCmtCode": {
    "CommentCode": 0,
    "MatchTypeCode": null,
    "Selection": 0
  },
  "MessageId": "getWireInCmtCodeSelectFields"
}

getWireInCmtCodePagedList

post

Retrieve WireInCmtCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getWireInCmtCodePagedList
POST /nexum/627/2022.01/parameter/getWireInCmtCodePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "WireInCmtCode": [],
  "Token": null,
  "MessageId": "getWireInCmtCodePagedList"
}

getWireInCmtCodeListSelectFields

post

Retrieve WireInCmtCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getWireInCmtCodeListSelectFields
POST /nexum/627/2022.01/parameter/getWireInCmtCodeListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 196

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllWireInCmtCodeFields": true
  }
}
200

Successful operation.

{
  "WireInCmtCodeList": [],
  "MessageId": "getWireInCmtCodeListSelectFields"
}

searchWireInCmtCodeSelectFields

post

Search WireInCmtCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchWireInCmtCodeSelectFields
POST /nexum/627/2022.01/parameter/searchWireInCmtCodeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 234

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllWireInCmtCodeFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "WireInCmtCodeList": [],
  "MessageId": "searchWireInCmtCodeSelectFields"
}

getWireInCmtCodePagedListSelectFields

post

Retrieve WireInCmtCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getWireInCmtCodePagedListSelectFields
POST /nexum/627/2022.01/parameter/getWireInCmtCodePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 319

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "WireInCmtCodeFields": {
      "Selection": true,
      "CommentCode": true,
      "MatchTypeCode": true
    }
  }
}
200

Successful operation.

{
  "WireInCmtCode": [
    {
      "CommentCode": 0,
      "MatchTypeCode": null,
      "Selection": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getWireInCmtCodePagedListSelectFields"
}

searchWireInCmtCodePagedSelectFields

post

Search WireInCmtCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchWireInCmtCodePagedSelectFields
POST /nexum/627/2022.01/parameter/searchWireInCmtCodePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 330

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "WireInCmtCodeFields": {
      "Selection": true,
      "CommentCode": true,
      "MatchTypeCode": true
    }
  }
}
200

Successful operation.

{
  "WireInCmtCode": [
    {
      "CommentCode": 0,
      "MatchTypeCode": null,
      "Selection": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchWireInCmtCodePagedSelectFields"
}

updateWireInCmtCodeByID

post

Update WireInCmtCode parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WireInCmtCodeSelectionintegerOptional
Responses
200

Successful operation.

application/json
post/updateWireInCmtCodeByID
POST /nexum/627/2022.01/parameter/updateWireInCmtCodeByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 234

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireInCmtCodeSelection": 1,
  "WireInCmtCodeUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateWireInCmtCodeByID"
}

Last updated

Was this helpful?